Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QMessageBox

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QMessageBox class reference

### Public Functions

- QMessageBox ( const QString & caption, const QString & text, Icon icon, int button0, int button1, int button2, QWidget * parent, const char * name, bool modal, Qt::WFlags f = Qt::WStyle_DialogBorder )
- QMessageBox ( QWidget * parent, const char * name )

## Member Function Documentation

### QMessageBox::QMessageBox ( const QString & caption, const QString & text, Icon icon, int button0, int button1, int button2, QWidget * parent, const char * name, bool modal, Qt::WFlags f = Qt::WStyle_DialogBorder )

### QMessageBox::QMessageBox ( QWidget * parent, const char * name )